#!/usr/bin/env python

import sys
import markdown

def print_usage():
    print(f"usage: python {sys.argv[0]} PATHS")
    print("")
    print("\t\PATHS\tpaths of input markdown files")

if len(sys.argv) < 2:
    print_usage()
    sys.exit(1)

paths = sys.argv[1:]

bad_paths = [p for p in paths if not p.endswith(".md")]
if len(bad_paths) != 0:
    for p in bad_paths:
        print(f"Not a markdown file: {p}")

    exit(1)

def write_html(src : str):
    with open(src) as md:
        dest = src.replace(".md", ".html")
        with open(dest, "w") as html:
            print(f"{src} -> {dest}")
            html.write(markdown.markdown(md.read()))

for p in paths:
    write_html(p)
